#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	VideoCD (pre-)mastering and ripping tools
Summary(pl.UTF-8):	Narzędzia do tworzenia i odczytu VideoCD
Name:		vcdimager
Version:	2.0.1
Release:	3
License:	GPL v2+
Group:		Applications/File
Source0:	http://ftp.gnu.org/gnu/vcdimager/%{name}-%{version}.tar.gz
# Source0-md5:	3890d73da62d0607c87962c41cd33a29
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/vcdimager/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1.6.0
BuildRequires:	help2man
BuildRequires:	libcdio-devel >= 2.0.0
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libxml2-devel >= 1:2.6.11
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.7
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
Requires:	libcdio >= 2.0.0
Requires:	libxml2 >= 1:2.6.11
Requires:	popt >= 1.7
Obsoletes:	vcdimager-cdio < 0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files. VCDRip, which comes with VCDImager, does the
reverse operation. That is, ripping mpeg streams from images (and
already burned VideoCDs) and showing some information about the
VideoCD.

%description -l pl.UTF-8
VCDImager służy do tworzenia obrazów VideoCD BIN/CUE z plików mpeg,
które następnie mogą być wypalone za pomocą cdrdao lub innego programu
zdolnego do wypalania plików BIN/CUE. VCDRip dostarczany wraz z
VCDImager pozwala na wykonanie odwrotnej operacji tzn. zrzucenia
strumienia mpeg z obrazów (oraz już wypalonych płyt VideoCD).

%package devel
Summary:	Header files for vcd libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek vcd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libcdio-devel >= 2.0.0
Obsoletes:	vcdimager-cdio-devel < 0.8

%description devel
Header files for vcd libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek vcd.

%package static
Summary:	Static vcd libraries
Summary(pl.UTF-8):	Statyczne biblioteki vcd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	vcdimager-cdio-static < 0.8

%description static
Static vcd libraries.

%description static -l pl.UTF-8
Statyczne biblioteki vcd.

%prep
%setup -q
%patch -P0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvcdinfo.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog FAQ NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/cdxa2mpeg
%attr(755,root,root) %{_bindir}/vcd-info
%attr(755,root,root) %{_bindir}/vcdimager
%attr(755,root,root) %{_bindir}/vcdxbuild
%attr(755,root,root) %{_bindir}/vcdxgen
%attr(755,root,root) %{_bindir}/vcdxminfo
%attr(755,root,root) %{_bindir}/vcdxrip
%attr(755,root,root) %{_libdir}/libvcdinfo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvcdinfo.so.0
%{_mandir}/man1/cdxa2mpeg.1*
%{_mandir}/man1/vcd-info.1*
%{_mandir}/man1/vcdimager.1*
%{_mandir}/man1/vcdxbuild.1*
%{_mandir}/man1/vcdxgen.1*
%{_mandir}/man1/vcdxminfo.1*
%{_mandir}/man1/vcdxrip.1*
%{_infodir}/vcd-info.info*
%{_infodir}/vcdimager.info*
%{_infodir}/vcdxrip.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvcdinfo.so
%{_includedir}/libvcd
%{_pkgconfigdir}/libvcdinfo.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libvcdinfo.a
%endif
%changelog
* Mon Mar 17 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vcdimager.git;a=log;h=master

* Mon Mar 17 2025 Jakub Bogusz <qboosh@pld-linux.org> 06ded50
- versioned Obsoletes, release 3 (libcdio 2.2.x)

* Fri Apr 19 2019 Adam Gołębiowski <adamg@pld-linux.org> eafe7a2
- release 2, rebuild against libcdio 2.1.0

* Sat Oct 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 3cf2afe
- updated dependencies, disable silent-rules

* Fri Mar 16 2018 Marcin Krol <hawk@tld-linux.org> 9fda48f
- updated to 2.0.1

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 6d76f52
- added libcdio patch (update types to match libcdio 1.0.0); release 7

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 871d55f
- x32 rebuild
- release 6 (by relup.sh)

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ec912b
- libcdio related rebuild
- release 5 (by relup.sh)

* Sun Dec 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 9bb3747
- added texinfo patch (fixes build with texinfo 5)
- dropped libtool file
- release 4 (rebuild with libcdio 0.92)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3901552
- release 3 (by relup.sh)

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 737209e
- release 2

* Mon Mar 21 2011 Jakub Bogusz <qboosh@pld-linux.org> c55052e
- updated to 0.7.24

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 56d8da5
- BR: help2man

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 68202fe
- verbose files

* Thu Dec 31 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 0545680
- release 10

* Fri Oct 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a590e6e
- release 9

* Tue Jun 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 043444b
- rel 8

* Tue Jun 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 22cf0aa
- rel 7

* Mon Jun 02 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> e434675
- rel.6

* Wed Apr 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 77d4043
- rel 5

* Mon Apr 14 2008 Patryk Zawadzki <patrys@room-303.com> ad14405
- rebuild with new libcdio
- rel 4

